content {git2r} | R Documentation

## Content of blob

### Description

Content of blob

### Usage

    content(blob = NULL, split = TRUE)

### Arguments

`blob` | The blob object.
`split` | Split blob content to text lines. Default TRUE.

### Value

The content of the blob. NA_character_ if the blob is binary.

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Display content of blob.
    content(tree(commits(repo)[[1]])["example.txt"])

    ## End(Not run)

[Package git2r version 0.23.0 Index]